%define major 10
%define libname %mklibname microhttpd %{major}
%define devname %mklibname microhttpd -d

%define spdy_major 0
%define libspdy %mklibname microspdy %{spdy_major}
%define devspdy %mklibname microspdy -d

Summary:	Small C library to run an HTTP server
Name:		libmicrohttpd
Version:	0.9.34
Release:	2
License:	GPLv2+
Group:		System/Libraries
Url:		http://gnunet.org/libmicrohttpd/
Source0:	http://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.gz
Patch0:		libmicrohttpd-0.9.34-spdy-pc.patch
Patch1:		libmicrohttpd-0.9.34-zlib.patch
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)

%description
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Small C library to run an HTTP server
Group:		System/Libraries

%description -n %{libname}
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libmicrohttpd.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}microhttpd10 < 0.9.34-2

%description -n %{devname}
Development files for %{libname}.

%files -n %{devname}
%{_includedir}/microhttpd.h
%{_libdir}/libmicrohttpd.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/info/*
%{_mandir}/man3/%{name}.3*

#----------------------------------------------------------------------------

%package -n %{libspdy}
Summary:	Lightweight library for embedding a webserver using the SPDY protocol
Group:		System/Libraries
Obsoletes:	%{_lib}microspdy10 < 0.9.34-2

%description -n %{libspdy}
GNU libmicrospdy is a small C library that is supposed to make it
easy to run a SPDY server as part of another application.

The library is part of the libmicrohttpd project and source tree
and shared its advantages of being fast aand small with a simple API.

%files -n %{libspdy}
%doc COPYING
%{_libdir}/libmicrospdy.so.%{spdy_major}*

#----------------------------------------------------------------------------

%package -n %{devspdy}
Summary:	Development files for libmicrospdy
Group:		Development/C
Requires:	%{libspdy} = %{EVRD}

%description -n %{devspdy}
Development files for libmicrospdy.

%files -n %{devspdy}
%{_includedir}/microspdy.h
%{_libdir}/libmicrospdy.so
%{_libdir}/pkgconfig/libmicrospdy.pc

#----------------------------------------------------------------------------

%package -n microspdy2http
Summary:	Translates incoming SPDY requests to http server on localhost
Group:		Networking/WWW

%description -n microspdy2http
Translates incoming SPDY requests to HTTP server on localhost.
* Uses libcurl
* No error handling for curl requests

%files -n microspdy2http
%{_bindir}/microspdy2http

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .spdy-pc
%patch1 -p1 -b .zlib

%build
autoreconf --install --force
%configure2_5x \
	--disable-static \
	--with-gnutls
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_bindir}/demo


%changelog

* Wed Jul 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.34-2
- (84b10ce) Fix a typo


